> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/database-data/season-top-scorer-all-season.md).

# Season top scorer(all season)

## Season top scorer(all season)

> Return to the season scorer list details data\<br/>Request times:120 times/min\<br/>\<br/>PS:Get the changed season id through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"DATABASE DATA","description":"DATABASE DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/season/shooter/stat":{"get":{"tags":["DATABASE DATA"],"description":"Return to the season scorer list details data<br/>Request times:120 times/min<br/><br/>PS:Get the changed season id through the 'data update' interface","summary":"Season top scorer(all season)","operationId":"getSeasonShooter","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","description":"Player list","items":{"$ref":"#/components/schemas/SeasonShooters"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"SeasonShooters":{"type":"object","description":"Data details","properties":{"position":{"type":"integer","description":"Rank"},"player":{"type":"object","description":"Player data","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"},"logo":{"type":"string","description":"Player logo"},"position":{"type":"string","description":"Player positions,F-forward,M-midfielder,D-guard,G-goalkeeper,others are unknown"},"country_id":{"type":"string","description":"Country/Region id"},"nationality":{"type":"string","description":"nationality"}}},"team":{"type":"object","description":"Team data","properties":{"id":{"type":"string","description":"Team id"},"name":{"type":"string","description":"Team name"},"logo":{"type":"string","description":"Team logo"}}},"goals":{"type":"integer","description":"Goal"},"penalty":{"type":"integer","description":"Penalty kick"},"assists":{"type":"integer","description":"Assist"},"minutes_played":{"type":"integer","description":"Playing time (minutes)"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/database-data/season-top-scorer-all-season.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
